//
//  RMFTPClient.h
//  RMFTP
//
//  Created by Tom Bradley on 18/04/2016.
//  Copyright © 2016 Realmac Software. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>

#import "RMFTP-Constants.h"
#import "RMNetworkClientProtocol.h"

@class RMFTPAvailableServerFeatures;

@interface RMFTPClient : NSObject <RMNetworkClient>

@property (nonatomic, readonly) NSError *lastError;

@property (nonatomic, readonly, getter=isConnected) BOOL connected;
@property (nonatomic, readonly) NSURL *serverURL;

@property (nonatomic, assign) BOOL ignoreCertificateErrors;
@property (nonatomic, assign) RMCurlConnectionType connectionType;
@property (nonatomic, assign) RMCurlURLConnectionMode connectionMode;
@property (nonatomic, assign) RMCurlSSLMode sslMode;

- (void)connectAndFetchAvailableFeaturesWithCompletionHandler:(void (^)(NSError *error, RMFTPAvailableServerFeatures *availableFeatures))completionHandler;

@end
